//1 Создать функцию которая сохранит в глобальную переменную - массив всех пользователей из https://api-f22.herokuapp.com/. (GET)
const url = 'https://api-f22.herokuapp.com/'
const users = [];
const films = [];


// Home work 12.2 (HTTP, fetch)

//1 Создать функцию которая будет создавать фильм
// urn: /films
//   method: POST
//   body: {title: <название фильма>, author: <режисер>}
function createFilm(filmTitle, filmAuthor) {
    axios
    .post(url + 'films', {title: filmTitle, author: filmAuthor})
    .then(response => console.log(response.data))
};
createFilm('Hotel "Grand Budapest"', 'Wes Anderson');
createFilm('Зелёный слоник"', 'Светлана Баскова');


//2 Создать функцию которая будет добавлять id фильма для пользователя
// urn: /users/addFilm
//   method: POST
//   body: {userId: <id пользовтеля>, filmId: <id фильма>}
function addFilm(id, idOfFilm) {
    axios
    .post(url + 'users/addfilm' , {userId: id, filmId: idOfFilm})
    .then(response => console.log(response.data))
};
addFilm(1, 2);

//3 Создать функцию которая выведет на страницу (HTML) всех пользователей с фильмами в виде объектов (сделать то задание, которое делали в группе)
function createUser() {
    axios
    .post(url + 'users/', {name: 'Kostya'})
    .then(response => users.push(response.data))
};
 createUser();
console.log(users)

  function getFilms(id) {
    const films = axios
     .get(url + 'films/' + id)
     .then(response => response.data)
     return films;
};
getFilms('2').then(films => console.log(films))


function getUsers() {
    const users = axios
     .get(url + 'users')
     .then(response => response.data)
     return users
};
getUsers().then(users => console.log(users))

// function renderUsers() {
//     document.body.innerHTML = '';
//     for (let user of users) {                             НЕ РАБОТАЕТ ,  БУДУ ЕЩЁ ДУМАТЬ 
//         document.body.innerHTML += `
//         <div class = 'allUsers'>
//         <h5>${user.name}<h5>
//         <p>${user.id}</p>
//         <div/>
//         `
//         for (let film of user.films) {
//             document.body.innerHTML += `
//             <div class = 'allUsers'>
//             <h5>${user[film].author}<h5>
//             <p>${user.films.title}</p>
//             <p>${user.film.id}</p>
//             <div/>
//             `
//         }
//     }
// }

// getUsers().then((data) => {
//     console.log(data)
//     renderUsers(data.users)
// })

//4 Создать функцию которая возмет всех юзеров http://jsonplaceholder.typicode.com/users, 
// потом запросит массив альбомов и добавит каждому юзеру в массив albums все эти альбомы http://jsonplaceholder.typicode.com/albums
// смотрим на userId. После запрашиваем photos http://jsonplaceholder.typicode.com/photos и добавлем все фотки в альбомы по albumId каждому юзеру.